package com.czg.enums;

import lombok.Getter;

/**
 * @author ww
 */

@Getter
public enum CzgPayEnum {
    SCAN_PAY("/api/open/payment/scanpay", "PC扫码支付"),
    MICRO_PAY("/api/open/payment/micropay", "聚合反扫（B扫C）/ 快捷收款"),
    JS_PAY("/api/open/payment/jspay", "公众号/生活号/银联js支付"),
    LT_PAY("/api/open/payment/ltpay", "小程序支付"),
    H5_PAY("/api/open/payment/h5pay", "手机网页支付"),

    TRADE("/api/open/query/trade", "订单状态查询"),
    REFUND("/api/open/order/refund", "统一退款 D0退款需要使用平台户退款"),
    QUERY_REFUND("/api/open/query/refund", "退款状态查询"),
    ;

    private final String uri;
    private final String msg;

    CzgPayEnum(String uri, String msg) {
        this.uri = uri;
        this.msg = msg;
    }
}
